Current Carts to buy

Discussion in '3DS - Flashcards & Custom Firmwares' started by MikeTR, Dec 28, 2011.

Dec 28, 2011

Current Carts to buy by MikeTR at 7:14 PM (989 Views / 0 Likes) 8 replies

  1. MikeTR
    OP

    Newcomer MikeTR Advanced Member

    Joined:
    May 24, 2011
    Messages:
    69
    Country:
    Portugal
    So with the new nintendo update, some carts now don't work, and require another ds to update and such.
    I bought a ez flash vi and it got blocked by said update so I'm looking for an alternative one.
    The supercard is said the best but sucks the battery up due to the cpu, the acekard seems nice but doesn't have ap bypass and that's good to have
    so I'm thinking in the iSmart premium or MM.
    Is it a good buy?
     
  2. Qtis

    Member Qtis Grey Knight Inquisitor

    Joined:
    Feb 28, 2010
    Messages:
    3,762
    Location:
    The Forge
    Country:
    Antarctica
    DSTwo > iSmart premium/MM in pretty much every way. The AK2i works wonders with AKAIO so depending on what you want, I'd choose either the AK2i or the DSTwo. AK2i if you don't need Real Time Saves (save states) or GBA emulation.
     
  3. MikeTR
    OP

    Newcomer MikeTR Advanced Member

    Joined:
    May 24, 2011
    Messages:
    69
    Country:
    Portugal
    Didn't the DSTwo got somewhat blocked by the update?
    Also, I'de really like that auto ap bypass, and since i just wasted 30€ on a cart that doesn't work, i'm feeling quite demoralized in monetary and morally ways
     
  4. Fyrus

    Member Fyrus Artilleur Carmin

    Joined:
    Jul 6, 2010
    Messages:
    766
    Location:
    Marseille - France
    Country:
    France
    Nope, the DSTwo still works on the 3.0.0-6 update.
     
  5. MikeTR
    OP

    Newcomer MikeTR Advanced Member

    Joined:
    May 24, 2011
    Messages:
    69
    Country:
    Portugal
    Nice, i'll give it a thought then.

    Quick question, i couldn't find this in the search, is there anything here relating to updating a blocked cart using another ds?
    Im kinda desperate atm due to my cart being blocked, hence this topic
     
  6. The Real Jdbye

    Member The Real Jdbye D:

    Joined:
    Mar 17, 2010
    Messages:
    8,580
    Location:
    Doing your mom
    Country:
    Norway
    The DSTwo is nice in that it can be updated even if it's blocked, as long as it's updated to at least a certain version (unsure which version). The CPU on it isn't in use when playing DS games, there was extensive battery testing done on multiple flashcarts and they showed that the DSTwo actually didn't use more battery than other flashcarts, unless you were playing a SNES/GBA game or watching a movie with iPlayer.
    As for your EZ5i, if you have access to a DS lite or a DSi that's not updated to the latest version, you can use that to update it. You didn't mention what version firmware your EZ5i is updated to, so it might work with the latest DSi firmware version too. It's worth a try if you have access to a DSi but not a DS lite. You just need the firmware download here: http://www.ezflash.cn/zip/V108a.rar
     
  7. MikeTR
    OP

    Newcomer MikeTR Advanced Member

    Joined:
    May 24, 2011
    Messages:
    69
    Country:
    Portugal
    Isn't there really another way? Like getting updated files from someone, or do in the pc, i dunno e.e
    I'm freaking out here ._. I just freshly bought the ez5i and to find it immediatly blocked is hard..
     
  8. frogboy

    Member frogboy lacking both style and grace

    Joined:
    Dec 6, 2011
    Messages:
    2,249
    Country:
    United States
    I'd recommend the Acekard 2i, my DSTwo wasn't worth the extra money.
     
  9. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    With normal flash carts, there's not another way.

    The DSTwo can often self-update, and the Cyclo carts and the M3i Zero have their own devices for updating (a transfer cable and a PC-USB thing), other carts do not.

    You will need to update it from an older DS/Lite unit (or a DSi that hasn't been updated).
     

Share This Page